Package org.springframework.security.web.server

# Class MatcherSecurityWebFilterChain

java.lang.Object
org.springframework.security.web.server.MatcherSecurityWebFilterChain

All Implemented Interfaces:
  `SecurityWebFilterChain`

public class MatcherSecurityWebFilterChain extends Object implements SecurityWebFilterChain
A `SecurityWebFilterChain` that leverages a `ServerWebExchangeMatcher` to determine which `WebFilter` to execute.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`MatcherSecurityWebFilterChain(ServerWebExchangeMatcher matcher, List<org.springframework.web.server.WebFilter> filters)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Flux<org.springframework.web.server.WebFilter>`
`getWebFilters()`
The `WebFilter` to use
`reactor.core.publisher.Mono<Boolean>`
`matches(org.springframework.web.server.ServerWebExchange exchange)`
Determines if this `SecurityWebFilterChain` matches the provided `ServerWebExchange`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatcherSecurityWebFilterChain

public MatcherSecurityWebFilterChain(ServerWebExchangeMatcher matcher, List<org.springframework.web.server.WebFilter> filters)

## Method Details

### matches

public reactor.core.publisher.Mono<Boolean> matches(org.springframework.web.server.ServerWebExchange exchange)
Description copied from interface: `SecurityWebFilterChain`
Determines if this `SecurityWebFilterChain` matches the provided `ServerWebExchange`

Specified by:
  `matches` in interface `SecurityWebFilterChain`
Parameters:
  `exchange` - the `ServerWebExchange`
Returns:
  true if it matches, else false

### getWebFilters

public reactor.core.publisher.Flux<org.springframework.web.server.WebFilter> getWebFilters()
Description copied from interface: `SecurityWebFilterChain`
The `WebFilter` to use

Specified by:
  `getWebFilters` in interface `SecurityWebFilterChain`
Returns: